AuthenticationType (Apache Tomcat 11.0.24 API Documentation)
Description: declaration: package: org.apache.tomcat.websocket, enum: AuthenticationType

# Enum Class AuthenticationType

java.lang.Object
java.lang.Enum<AuthenticationType>
org.apache.tomcat.websocket.AuthenticationType

All Implemented Interfaces:
  `Serializable, Comparable<AuthenticationType>, Constable`

public enum AuthenticationType extends Enum<AuthenticationType>
Defines the authentication types supported by the WebSocket client.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `PROXY`
  HTTP Proxy authentication over WebSocket.
  `WWW`
  HTTP Basic authentication over WebSocket.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAuthenticateHeaderName()`
  Returns the name of the authenticate header.
  `String`
  `getAuthorizationHeaderName()`
  Returns the name of the authorization header.
  `String`
  `getUserNameProperty()`
  Returns the property name for the user name.
  `String`
  `getUserPasswordProperty()`
  Returns the property name for the user password.
  `String`
  `getUserRealmProperty()`
  Returns the property name for the user realm.
  `static AuthenticationType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AuthenticationType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### WWW

    public static final AuthenticationType WWW
    HTTP Basic authentication over WebSocket.

  - ### PROXY

    public static final AuthenticationType PROXY
    HTTP Proxy authentication over WebSocket.

- ## Method Details

  - ### values

    public static AuthenticationType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AuthenticationType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getAuthorizationHeaderName

    public String getAuthorizationHeaderName()
    Returns the name of the authorization header.
    Returns:
      the authorization header name

  - ### getAuthenticateHeaderName

    public String getAuthenticateHeaderName()
    Returns the name of the authenticate header.
    Returns:
      the authenticate header name

  - ### getUserNameProperty

    public String getUserNameProperty()
    Returns the property name for the user name.
    Returns:
      the user name property name

  - ### getUserPasswordProperty

    public String getUserPasswordProperty()
    Returns the property name for the user password.
    Returns:
      the user password property name

  - ### getUserRealmProperty

    public String getUserRealmProperty()
    Returns the property name for the user realm.
    Returns:
      the user realm property name